# Generated from css_naked-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name css_naked

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Rails plugin to disable stylesheets during the CSS Naked Day event
License: MIT
URL: http://github.com/zargony/css_naked
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(mocha) < 1
BuildArch: noarch

%description
This plugin makes a Rails application strip off the stylesheets during the CSS
Naked Day event. It does this by modifying the stylesheet_link_tag helper to
skip including stylesheets into the layout during the event.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/rails
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.2-1
- Initial package
